Bug 240775 - Cannot share printer and see other shared printers at same time
Cannot share printer and see other shared printers at same time
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: F7Update
  Show dependency treegraph
 
Reported: 2007-05-21 12:09 EDT by Tim Waugh
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.2.11-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 12:12:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2393 None None None Never

  None (edit)
Description Tim Waugh 2007-05-21 12:09:09 EDT
+++ This bug was initially created as a clone of Bug #238057 +++

Description of problem:

When administering cups with either http://localhost:631 or
system-config-printer I cannot simultaneously select both "Show printers shared
by other systems" and "Share published printers connected to this system".  I
can select one or the other, but not both.  With http://localhost:631, I select
both radio buttons, hit "Change Settings" and it returns with only the second
one checked.  With system-config-printer they stay selected, but when I restart
cups and relaunch system-config-printer, one is unselected.  If I only select
one or the other, then the configuration sticks.  It looks similar to bug
206892, but not the sme.

Version-Release number of selected component (if applicable):

cups-1.2.10-3

How reproducible:

Every time.

Steps to Reproduce:
1. Administer cups pointing to http://localhost:631
2. Select "Manager Server".
3. Select both "Show printers shared by other systems" and "Share published
printers connected to this system".
4. Hit "Change Settings"
  
Actual results:

The second option, "Share published printers connected to this system" becomes
unselected.

Expected results:

Should stay selected.

Additional info:

Version of printer config is system-config-printer-0.7.52.1-2.fc6, which also
exhibits the behavior, but I do not think it is involved.

-- Additional comment from twaugh@redhat.com on 2007-04-27 04:36 EST --
Yes, this is a CUPS bug.  system-config-printer uses the CUPS API to adjust
those settings, the same as the web interface.

Please attach your /etc/cups/cupsd.conf file.


-- Additional comment from faust@pobox.com on 2007-04-27 11:30 EST --
Here is the cupsd.conf file:

[root@farm12 tmp]# cat /etc/cups/cupsd.conf
MaxLogSize 2000000000
LogLevel info
SystemGroup sys root
Port 631
Listen /var/run/cups/cups.sock
# Show shared printers on the local network.
Browsing On
BrowseOrder allow,deny
# (Change '@LOCAL' to 'ALL' if using directed broadcasts from another subnet.)
BrowseAllow @LOCAL
DefaultAuthType Basic
<Location />
  Order allow,deny
  Allow @LOCAL
</Location>
<Location /admin>
  Encryption Required
  Order allow,deny
  Allow @LOCAL
</Location>
<Location /admin/conf>
  AuthType Basic
  Require user @SYSTEM
  Order allow,deny
  Allow @LOCAL
</Location>
<Policy default>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs
Set-Job-Attributes Create-Job-Subscription Renew-Subscription
Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job
Suspend-Current-Job Resume-Job CUPS-Move-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Set-Printer-Attributes Enable-Printer
Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs
Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer
Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CUPS-Add-Printer
CUPS-Delete-Printer CUPS-Add-Class CUPS-Delete-Class CUPS-Accept-Jobs
CUPS-Reject-Jobs CUPS-Set-Default>
    AuthType Basic
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
[root@farm12 tmp]#
Comment 1 Fedora Update System 2007-06-08 11:54:12 EDT
cups-1.2.10-11.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-06-11 18:03:57 EDT
cups-1.2.10-12.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-06-27 21:47:17 EDT
cups-1.2.11-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-06-29 10:02:58 EDT
cups-1.2.11-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-07-02 12:12:17 EDT
cups-1.2.11-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.